Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358604 - CPU/Memory/Storage tooltip text should be improved
Summary: CPU/Memory/Storage tooltip text should be improved
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-dashboard
Classification: oVirt
Component: Core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ovirt-4.2.1
: ---
Assignee: Scott Dickerson
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 06:24 UTC by Barak Korren
Modified: 2018-02-12 11:50 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine-dashboard-1.2.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-12 11:50:51 UTC
oVirt Team: UX
rule-engine: ovirt-4.2+
pnovotny: testing_plan_complete-
mgoldboi: planning_ack+
oourfali: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)
screen: Dashboard - fixed units in donut tooltips (deleted)
2018-01-19 16:29 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 85116 master MERGED Update donut chart data tooltip 2017-12-06 16:22:01 UTC
oVirt gerrit 86324 ovirt-engine-dashboard-1.2 MERGED Update donut chart data tooltip 2018-01-16 15:04:49 UTC

Description Barak Korren 2016-07-21 06:24:49 UTC
Description of problem:
Memort/Storage tooltip test makes no sense

For memory is says "44% GB Availabe" the "GB" does not belong there its not a percentage of a single GB.

For storage it says "20% TB Used" again, the "TB" does not belong there, this is not a percentage of a single TB but of the whole system memory.

Version-Release number of selected component (if applicable):
1.0.0-20160705git3e1e994

Comment 1 Pavel Stehlik 2016-11-04 11:48:57 UTC
Please keep in mind the tooltips should show description (incl. formula) what the numbers show. As we agreed in minimal viable document.

Comment 2 Oved Ourfali 2016-11-04 12:08:23 UTC
I don't remember talking about showing a formula, but I might be mistaken. 
Moran, to prevent a ping pong here, please go over the current tooltip text, and let us know what the resulting text should be for each tooltip.

Comment 3 Oved Ourfali 2016-12-05 12:01:42 UTC
Moving to 4.2, hoping we'll get the text needed by then.

Comment 6 Scott Dickerson 2017-12-04 18:21:12 UTC
The tooltip used for percentage (CPU) graphs reads ok. For example, "19.0% Used" and "81.0% Available". I wouldn't change that.

The tooltip used for value (Memory, Storage) graphs is awkward. For example, "21.9% GiB Used" and "78.1% GiB Available".  Any of the following options would work:
  1. the unit can be dropped - e.g. "21.9% Used"
  2. the % could be replaced with the actual - e.g. "8.6 GiB Used"
  3. both the % and actual could be used - e.g. "8.6 GiB (21.9%) Used"

I like option 3.  Any other strong opinions?

Comment 7 Scott Dickerson 2017-12-04 18:57:45 UTC
or slight variation of 3 .. "8.6 GiB Used (21.9% of Total)"

Comment 8 Oved Ourfali 2017-12-05 06:21:11 UTC
I like option #3 (both variations sound good to me).
Moran?

Comment 9 Moran Goldboim 2017-12-05 08:38:37 UTC
(In reply to Oved Ourfali from comment #8)
> I like option #3 (both variations sound good to me).
> Moran?

I would prefer going with option 1, mostly since it's consistent with CPU tooltip and since the value of the used resource is already presented in the middle of the doughnut and has nice visibility.

Comment 10 Pavel Novotny 2018-01-19 16:28:50 UTC
Verified in
ovirt-engine-4.2.1.2-0.1.el7.noarch
ovirt-engine-dashboard-1.2.1-1.el7ev.noarch

As said in comment 9, the unit has been dropped from the Memory and Storage donut chart tooltips. It shows only %, eg., "13.0% Used".
Screenshot attached.

Comment 11 Pavel Novotny 2018-01-19 16:29:45 UTC
Created attachment 1383497 [details]
screen: Dashboard - fixed units in donut tooltips

Comment 12 Sandro Bonazzola 2018-02-12 11:50:51 UTC
This bugzilla is included in oVirt 4.2.1 release, published on Feb 12th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.1 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.